# Gaza Machine

`gaza_machine` is micro service that execute commands given by the client.

`gaza_machine` is a core part of gaza, still thought it can be used seperately.


## Usage

### Create a machine server

```dart
final server = await GazaMachine.create(8000);
```

### Connect to the machine

```dart
final client = GazaMachine.connect(8000, "0.0.0.0");
// Or if you are running the server on the same machine:
// final client = server.client;
```

### Local machine

```dart
final machine = GazaMachine.localMachine("/home/z/Documents/machine-data");
```


## Build

### generate proto files:

```bash
./scripts/generate_protos.py
```

## Test

```bash
dart test --reporter=expanded
```