import 'dart:io';

import 'package:gaza_machine/gaza_machine.dart';

void main(List<String> arguments) async {
  final server = await GazaMachine.create(8000);

  print("================================");
  print("=== Gaza Machine is running! ===");
  print("================================");
  for (final net in await NetworkInterface.list()) {
    for (final address in net.addresses) {
      print(":: ${address.address}");
    }
  }

  print("~ port = ${server.port}");
  print("~ directory = ${server.machineDir}");
}
