import 'package:gaza_machine/src/base/machine.dart';
import 'package:gaza_machine/src/services/shell_service.dart';
import 'package:gaza_machine/src/services/system_service.dart';

import 'generated/grpc/machine/machine.pbgrpc.service.dart';

class LocalMachine extends MachineBase {
  String pMachineDir;
  LocalMachine(this.pMachineDir);

  @override
  late final BetterShellClientBase shell =
      OfflineShellClient(ShellService(pMachineDir));

  @override
  late final BetterSystemClientBase system =
      OfflineSystemClient(SystemService(pMachineDir));
}
